This document is for an old version of Python that is no longer supported. You should install the python3 and python3-doc packages and read the Python documentation for the Python3 version packaged in this release.

# Index – Symbols

- !=
  - operator
- %
  - operator
- % formatting
- % interpolation
- %=
  - augmented assignment
- %PATH%
- &
  - operator
- &=
  - augmented assignment
- *
  - in function calls
  - operator
  - statement, [1]
- **
  - in function calls
  - operator
  - statement, [1]
- **=
  - augmented assignment
- *=
  - augmented assignment
- +
  - operator
- +=
  - augmented assignment
- -
  - operator
- --buffer
  - unittest command line option
- --catch
  - unittest command line option
- --clock
  - timeit command line option
- --count
  - trace command line option
- --coverdir=<dir>
  - trace command line option
- --failfast
  - unittest command line option
- --file=<file>
  - trace command line option
- --help
  - command line option
  - timeit command line option
  - trace command line option
- --ignore-dir=<dir>
  - trace command line option
- --ignore-module=<mod>
  - trace command line option
- --listfuncs
  - trace command line option
- --missing
  - trace command line option
- --no-report
  - trace command line option
- --number=N
  - timeit command line option
- --pattern pattern
  - unittest-discover command line option
- --repeat=N
  - timeit command line option
- --report
  - trace command line option
- --setup=S
  - timeit command line option
- --start-directory directory
  - unittest-discover command line option
- --summary
  - trace command line option
- --time
  - timeit command line option
- --timing
  - trace command line option
- --top-level-directory directory
  - unittest-discover command line option
- --trace
  - trace command line option
- --trackcalls
  - trace command line option
- --user-base
  - site command line option
- --user-site
  - site command line option
- --verbose
  - timeit command line option
  - unittest-discover command line option
- --version
  - command line option
  - trace command line option
- -3
  - command line option
- -=
  - augmented assignment
- -?
  - command line option
- -B
  - command line option
- -b
  - command line option
  - unittest command line option
- -C
  - trace command line option
- -c
  - timeit command line option
  - trace command line option
  - unittest command line option
- -c <command>
  - command line option
- -c <zipfile> <source1> ... <sourceN>
  - zipfile command line option
- -d
  - command line option
- -d destdir
  - compileall command line option
- -E
  - command line option
- -e <zipfile> <output_dir>
  - zipfile command line option
- -f
  - compileall command line option
  - trace command line option
  - unittest command line option
- -g
  - trace command line option

- -h
  - command line option
  - timeit command line option
- -i
  - command line option
- -i list
  - compileall command line option
- -J
  - command line option
- -l
  - compileall command line option
  - trace command line option
- -l <zipfile>
  - zipfile command line option
- -m
  - trace command line option
- -m <module-name>
  - command line option
- -n N
  - timeit command line option
- -O
  - command line option
- -OO
  - command line option
- -p
  - unittest-discover command line option
- -q
  - compileall command line option
- -Q <arg>
  - command line option
- -R
  - command line option
  - trace command line option
- -r
  - trace command line option
- -r N
  - timeit command line option
- -S
  - command line option
- -s
  - command line option
  - trace command line option
  - unittest-discover command line option
- -s S
  - timeit command line option
- -T
  - trace command line option
- -t
  - command line option
  - timeit command line option
  - trace command line option
  - unittest-discover command line option
- -t <zipfile>
  - zipfile command line option
- -U
  - command line option
- -u
  - command line option
- -V
  - command line option
- -v
  - command line option
  - timeit command line option
  - unittest-discover command line option
- -W arg
  - command line option
- -X
  - command line option
- -x
  - command line option
- -x regex
  - compileall command line option
- ...
- .ini
  - file
- .pdbrc
  - file
- .pythonrc.py
  - file
- /
  - operator
- //
  - operator
- //=
  - augmented assignment
- /=
  - augmented assignment
- 2to3
- <
  - operator
- <<
  - operator
- <<=
  - augmented assignment
- <=
  - operator
- <protocol>_proxy
- =
  - assignment statement
- ==
  - operator
- >
  - operator
- >=
  - operator
- >>
  - operator
- >>=
  - augmented assignment
- >>>
- @
  - statement
- ^
  - operator
- ^=
  - augmented assignment
- |
  - operator
- |=
  - augmented assignment
- ~
  - operator